> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team Config

> Update team configuration. Also syncs default form to brief_form_assignments.



## OpenAPI

````yaml /openapi.json patch /api/v1/teams/{team_id}/config
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/config:
    patch:
      tags:
        - Teams
      summary: Update Team Config
      description: >-
        Update team configuration. Also syncs default form to
        brief_form_assignments.
      operationId: update_team_config_api_v1_teams__team_id__config_patch
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamConfigUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TeamConfigUpdateRequest:
      properties:
        default_briefing_form_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Default Briefing Form Id
      type: object
      title: TeamConfigUpdateRequest
      description: Partial update to team config JSONB.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````